;
;                           Include file for DMC.ASM
;

; SYMBOL TABLES 
;
; The symbols are broken down into 6 tables according to their length.
; Within each table, the symbols are listed in ASCII order as if all letters
; were upper case.
;
; Format:     'string', 0, ASCII, scan
;
; Keys created by NewKey are assigned an ASCII value of 0FFh for identification
; purposes. The actual value is 0.
;
;--- list of addresses of first and last elements of the symbol tables
;    used for the BinSearch (binary search) Procedure

SymTabAdd dw   offset TwoTabl,  ENDTWO,  offset ThreeTabl, ENDTHREE
          dw   offset FourTabl, ENDFOUR, offset FiveTabl,  ENDFIVE
          dw   offset SixTabl,  ENDSIX,  offset SevenTabl, ENDSEVEN

;-------------------------------------------------------------------------------
;=======================================
TwoTabl   LABEL BYTE
s59       db   'F1',0, 00h, 3Bh
s60       db   'F2',0, 00h, 3Ch
s61       db   'F3',0, 00h, 3Dh
s62       db   'F4',0, 00h, 3Eh
s63       db   'F5',0, 00h, 3Fh
s64       db   'F6',0, 00h, 40h
s65       db   'F7',0, 00h, 41h
s66       db   'F8',0, 00h, 42h
s67       db   'F9',0, 00h, 43h
          db   'n*',0, 2Ah, 37h         ; same as PrtSc
nplus     db   'n+',0, 2Bh, 4Eh
nminus    db   'n-',0, 2Dh, 4Ah
nperiod   db   'n.',0, 2Eh, 53h
nslash    db   'n/',0, 2Fh,0E0h
n0        db   'n0',0, 30h, 52h
n1        db   'n1',0, 31h, 4Fh
n2        db   'n2',0, 32h, 50h
n3        db   'n3',0, 33h, 51h
n4        db   'n4',0, 34h, 4Bh
n5        db   'n5',0, 35h, 4Ch
n6        db   'n6',0, 36h, 4Dh
n7        db   'n7',0, 37h, 47h
n8        db   'n8',0, 38h, 48h
n9        db   'n9',0, 39h, 49h
Space     db   'Sp',0, 20h, 39h
s72       db   'Up',0, 00h, 48h
          db   '^!',0,0FFh, 02h         ; same as ^1        NewKey
          db   '^"',0,0FFh, 2Ah         ; same as ^'        NewKey
          db   '^#',0,0FFh, 04h         ; same as ^3        NewKey
          db   '^$',0,0FFh, 05h         ; same as ^4        NewKey
          db   '^%',0,0FFh, 06h         ; same as ^5        NewKey
          db   '^&',0,0FFh, 08h         ; same as ^7        NewKey
s42       db   '^',27h,0,0FFh, 2Ah      ; same as ^"        NewKey    (^')
          db   '^(',0,0FFh, 0Ah         ; same as ^9        NewKey
          db   '^)',0,0FFh, 0Bh         ; same as ^0        NewKey
          db   '^*',0,0FFh, 09h         ; same as ^8        NewKey
          db   '^+',0,0FFh, 07h         ; same as ^=        NewKey
s56       db   '^,',0,0FFh, 38h         ; same as ^<        NewKey
          db   '^-',0, 1Fh, 0Ch         ; same as ^_
s57       db   '^.',0,0FFh, 39h         ; same as ^>        NewKey
s58       db   '^/',0,0FFh, 3Ah         ; same as ^?        NewKey
s11       db   '^0',0,0FFh, 0Bh         ; same as ^)        NewKey
s2        db   '^1',0,0FFh, 02h         ; same as ^!        NewKey
          db   '^2',0, 00h, 03h         ; same as ^@
s4        db   '^3',0,0FFh, 04h         ; same as ^#        NewKey
s5        db   '^4',0,0FFh, 05h         ; same as ^$        NewKey
s6        db   '^5',0,0FFh, 06h         ; same as ^%        NewKey
          db   '^6',0, 1Eh, 07h         ; same as ^^
s8        db   '^7',0,0FFh, 08h         ; same as ^&        NewKey
s9        db   '^8',0,0FFh, 09h         ; same as ^*        NewKey
s10       db   '^9',0,0FFh, 0Ah         ; same as ^(        NewKey
          db   '^:',0,0FFh, 1Dh         ; same as ^;        NewKey
s29       db   '^;',0,0FFh, 1Dh         ; same as ^:        NewKey
          db   '^<',0,0FFh, 38h         ; same as ^,        NewKey
s7        db   '^=',0,0FFh, 07h         ; same as ^+        NewKey
          db   '^>',0,0FFh, 39h         ; same as ^.        NewKey
          db   '^?',0,0FFh, 3Ah         ; same as ^/        NewKey
s54       db   '^`',0,0FFh, 36h         ; same as ^~        NewKey
          db   '^~',0,0FFh, 36h         ; same as ^`        NewKey

ENDTWO    EQU  $ - 5                    ; address of last element of table

;=======================================
ThreeTabl LABEL BYTE
s84       db   '$F1',0, 00h, 54h
s85       db   '$F2',0, 00h, 55h
s86       db   '$F3',0, 00h, 56h
s87       db   '$F4',0, 00h, 57h
s88       db   '$F5',0, 00h, 58h
s89       db   '$F6',0, 00h, 59h
s90       db   '$F7',0, 00h, 5Ah
s91       db   '$F8',0, 00h, 5Bh
s92       db   '$F9',0, 00h, 5Ch
s168      db   '$n+',0,0FFh,0A8h        ;                   NewKey
s167      db   '$n-',0,0FFh,0A7h        ;                   NewKey
s154      db   '$Sp',0,0FFh, 9Ah        ;                   NewKey
s104      db   '@F1',0, 00h, 68h
s105      db   '@F2',0, 00h, 69h
s106      db   '@F3',0, 00h, 6Ah
s107      db   '@F4',0, 00h, 6Bh
s108      db   '@F5',0, 00h, 6Ch
s109      db   '@F6',0, 00h, 6Dh
s110      db   '@F7',0, 00h, 6Eh
s111      db   '@F8',0, 00h, 6Fh
s112      db   '@F9',0, 00h, 70h
          db   '@n*',0, 00h, 37h        ; same as @PrtSc
s78       db   '@n+',0, 00h, 4Eh
s74       db   '@n-',0, 00h, 4Ah
s164      db   '@n/',0, 00h,0A4h
s158      db   '@Sp',0,0FFh, 9Eh        ;                   NewKey
s152      db   '@Up',0, 00h, 98h        ; same as @cUp
e72       db   'cUp',0, 0E0h,48h
s83       db   'Del',0, 00h, 53h
s79       db   'End',0, 00h, 4Fh
Esc       db   'Esc',0, 1Bh, 01h        ;                   FF E9h in definition
s68       db   'F10',0, 00h, 44h
s133      db   'F11',0, 00h, 85h
s134      db   'F12',0, 00h, 86h
s82       db   'Ins',0, 00h, 52h
          db   'Ret',0, 0Dh, 1Ch        ; same as Enter
Tab       db   'Tab',0, 09h, 0Fh        ;                   FF E8h in definition
s94       db   '^F1',0, 00h, 5Eh
s95       db   '^F2',0, 00h, 5Fh
s96       db   '^F3',0, 00h, 60h
s97       db   '^F4',0, 00h, 61h
s98       db   '^F5',0, 00h, 62h
s99       db   '^F6',0, 00h, 63h
s100      db   '^F7',0, 00h, 64h
s101      db   '^F8',0, 00h, 65h
s102      db   '^F9',0, 00h, 66h
s150      db   '^n*',0, 00h, 96h        ; NOT the same as ^PrtSc
s144      db   '^n+',0, 00h, 90h
s142      db   '^n-',0, 00h, 8Eh
s149      db   '^n/',0, 00h, 95h
s12       db   '^Sp',0,0FFh, 0Ch        ;                   NewKey
s141      db   '^Up',0, 00h, 8Dh

ENDTHREE  EQU  $ - 6                    ; address of last element of table

;=======================================
FourTabl  LABEL BYTE
s70       db   '$Esc',0,0FFh, 46h       ;                   NewKey
s93       db   '$F10',0, 00h, 5Dh
s135      db   '$F11',0, 00h, 87h
s136      db   '$F12',0, 00h, 88h
          db   '$Ret',0,0FFh,0A9h       ;                   NewKey
s15       db   '$Tab',0, 00h, 0Fh
          db   '@cUp',0, 00h, 98h       ; same as @Up
s163      db   '@Del',0, 00h,0A3h       ; same as @cDel
s159      db   '@End',0, 00h, 9Fh       ; same as @cEnd
s1        db   '@Esc',0, 00h, 01h
s113      db   '@F10',0, 00h, 71h
s139      db   '@F11',0, 00h, 8Bh
s140      db   '@F12',0, 00h, 8Ch
s162      db   '@Ins',0, 00h,0A2h       ; same as @cIns
s173      db   '@nUp',0,0FFh,0ADh       ;                   NewKey
          db   '@Ret',0, 00h, 1Ch       ; same as @Enter
s165      db   '@Tab',0, 00h,0A5h
BkSp      db   'BkSp',0, 08h, 0Eh       ; FF E7h in definition
e83       db   'cDel',0,0E0h, 53h
e79       db   'cEnd',0,0E0h, 4Fh
e82       db   'cIns',0,0E0h, 52h
s76       db   'Cntr',0, 00h, 4Ch       ; same as nCntr
s80       db   'Down',0, 00h, 50h
s71       db   'Home',0, 00h, 47h
s75       db   'Left',0, 00h, 4Bh
          db   'nRet',0, 0Dh,0E0h       ; same as nEnter
s81       db   'PgDn',0, 00h, 51h
s73       db   'PgUp',0, 00h, 49h
e141      db   '^cUp',0,0E0h, 8Dh
s147      db   '^Del',0, 00h, 93h
s117      db   '^End',0, 00h, 75h
s69       db   '^Esc',0,0FFh, 45h       ;                   NewKey
s103      db   '^F10',0, 00h, 67h
s137      db   '^F11',0, 00h, 89h
s138      db   '^F12',0, 00h, 8Ah
s146      db   '^Ins',0, 00h, 92h
          db   '^Ret',0, 0Ah, 1Ch       ; same as ^Enter
s148      db   '^Tab',0, 00h, 94h

ENDFOUR   EQU  $ - 7                    ; address of last element of table
FOURNUMB  EQU  38
;=======================================
FiveTabl  LABEL BYTE
s13       db   '$BkSp',0,0FFh, 0Dh      ;                   NewKey
s14       db   '@BkSp',0, 00h, 0Eh      ;
          db   '@cDel',0, 00h,0A3h      ; same as @Del
          db   '@cEnd',0, 00h, 9Fh      ; same as @End
          db   '@cIns',0, 00h,0A2h      ; same as @Ins
s156      db   '@Cntr',0,0FFh, 9Ch      ; same as @nCntr    NewKey
s160      db   '@Down',0, 00h,0A0h      ; same as @cDown
s151      db   '@Home',0, 00h, 97h      ; same as @cHome
s155      db   '@Left',0, 00h, 9Bh      ; same as @cLeft
s179      db   '@nDel',0,0FFh,0B3h      ;                   NewKey
s171      db   '@nEnd',0,0FFh,0ABh      ;                   NewKey
s178      db   '@nIns',0,0FFh,0B2h      ;                   NewKey
          db   '@nRet',0, 00h,0A6h      ; same as @nEnter
s161      db   '@PgDn',0, 00h,0A1h      ; same as @cPgDn
s153      db   '@PgUp',0, 00h, 99h      ; same as @cPgUp
e80       db   'cDown',0,0E0h, 50h
e71       db   'cHome',0,0E0h, 47h
e75       db   'cLeft',0,0E0h, 4Bh
e81       db   'cPgDn',0,0E0h, 51h
e73       db   'cPgUp',0,0E0h, 49h
Enter     db   'Enter',0, 0Dh, 1Ch      ; same as Ret       FF E6h in definition
          db   'nCntr',0, 00h, 4Ch      ; same as Cntr
PrtSc     db   'PrtSc',0, 2Ah, 37h      ; same as n*
s77       db   'Right',0, 00h, 4Dh
CtlBkSp   db   '^BkSp',0, 7Fh, 0Eh
e147      db   '^cDel',0,0E0h, 93h
e117      db   '^cEnd',0,0E0h, 75h
e146      db   '^cIns',0,0E0h, 92h
s143      db   '^Cntr',0, 00h, 8Fh      ; same as ^nCntr
s145      db   '^Down',0, 00h, 91h
s119      db   '^Home',0, 00h, 77h
s115      db   '^Left',0, 00h, 73h
          db   '^nRet',0, 0Ah,0E0h      ; same as ^nEnter
s118      db   '^PgDn',0, 00h, 76h
s132      db   '^PgUp',0, 00h, 84h

ENDFIVE   EQU  $ - 8                    ; address of last element of table
FIVENUMB  EQU  35

;=======================================
SixTabl   LABEL BYTE
s169      db   '$Enter',0,0FFh,0A9h     ; same as $Ret      NewKey
          db   '@cDown',0, 00h,0A0h     ; same as @Down
          db   '@cHome',0, 00h, 97h     ; same as @Home
          db   '@cLeft',0, 00h, 9Bh     ; same as @Left
          db   '@cPgDn',0, 00h,0A1h     ; same as @PgDn
          db   '@cPgUp',0, 00h, 99h     ; same as @PgUp
s28       db   '@Enter',0, 00h, 1Ch     ; same as @Ret
          db   '@nCntr',0,0FFh, 9Ch     ; same as @Cntr     NewKey
s172      db   '@nDown',0,0FFh,0ACh     ;                   NewKey
s170      db   '@nHome',0,0FFh,0AAh     ;                   NewKey
s174      db   '@nLeft',0,0FFh,0AEh     ;                   NewKey
s176      db   '@nPgDn',0,0FFh,0B0h     ;                   NewKey
s177      db   '@nPgUp',0,0FFh,0B1h     ;                   NewKey
s55       db   '@PrtSc',0, 00h, 37h
s157      db   '@Right',0, 00h, 9Dh     ; same as @cRight
e77       db   'cRight',0,0E0h, 4Dh
nEnter    db   'nEnter',0, 0Dh,0E0h     ; same as nRet      FF E6h in definition
e145      db   '^cDown',0,0E0h, 91h
e119      db   '^cHome',0,0E0h, 77h
e115      db   '^cLeft',0,0E0h, 73h
e118      db   '^cPgDn',0,0E0h, 76h
e132      db   '^cPgUp',0,0E0h, 84h
CtlEnter  db   '^Enter',0, 0Ah, 1Ch     ; same as ^Ret
          db   '^nCntr',0, 00h, 8Fh     ; same as ^Cntr
s114      db   '^PrtSc',0, 00h, 72h     ; NOT the same as ^n*
s116      db   '^Right',0, 00h, 74h

ENDSIX    EQU  $ - 9                    ; address of last element of table
SIXNUMB   EQU  26

;=======================================
SevenTabl LABEL     BYTE
          db   '@cRight',0, 00h, 9Dh    ; same as @Right
s166      db   '@nEnter',0, 00h,0A6h    ; same as @nRet
s175      db   '@nRight',0,0FFh,0AFh    ;                   NewKey
e116      db   '^cRight',0,0E0h, 74h
CtlnEnter db   '^nEnter',0, 0Ah,0E0h    ; same as ^nRet

ENDSEVEN  EQU  $ - 10                   ; address of last element of table
SEVENNUMB EQU  5
; OTHER TABLES 

;--- table of addresses of symbols for ASCII code = 0 and scan code = 1-179.
;    used to convert scan codes to symbols

SpecSymb  dw   0
          dw   offset s1,   offset s2,   offset s3,   offset s4
          dw   offset s5,   offset s6,   offset s7,   offset s8
          dw   offset s9,   offset s10,  offset s11,  offset s12
          dw   offset s13,  offset s14,  offset s15,  offset s16
          dw   offset s17,  offset s18,  offset s19,  offset s20
          dw   offset s21,  offset s22,  offset s23,  offset s24
          dw   offset s25,  offset s26,  offset s27,  offset s28
          dw   offset s29,  offset s30,  offset s31,  offset s32
          dw   offset s33,  offset s34,  offset s35,  offset s36
          dw   offset s37,  offset s38,  offset s39,  offset s40
          dw   offset s41,  offset s42,  offset s43,  offset s44
          dw   offset s45,  offset s46,  offset s47,  offset s48
          dw   offset s49,  offset s50,  offset s51,  offset s52
          dw   offset s53,  offset s54,  offset s55,  offset s56
          dw   offset s57,  offset s58,  offset s59,  offset s60
          dw   offset s61,  offset s62,  offset s63,  offset s64
          dw   offset s65,  offset s66,  offset s67,  offset s68
          dw   offset s69,  offset s70,  offset s71,  offset s72
          dw   offset s73,  offset s74,  offset s75,  offset s76
          dw   offset s77,  offset s78,  offset s79,  offset s80
          dw   offset s81,  offset s82,  offset s83,  offset s84
          dw   offset s85,  offset s86,  offset s87,  offset s88
          dw   offset s89,  offset s90,  offset s91,  offset s92
          dw   offset s93,  offset s94,  offset s95,  offset s96
          dw   offset s97,  offset s98,  offset s99,  offset s100
          dw   offset s101, offset s102, offset s103, offset s104
          dw   offset s105, offset s106, offset s107, offset s108
          dw   offset s109, offset s110, offset s111, offset s112
          dw   offset s113, offset s114, offset s115, offset s116
          dw   offset s117, offset s118, offset s119, offset s120
          dw   offset s121, offset s122, offset s123, offset s124
          dw   offset s125, offset s126, offset s127, offset s128
          dw   offset s129, offset s130, offset s131, offset s132
          dw   offset s133, offset s134, offset s135, offset s136
          dw   offset s137, offset s138, offset s139, offset s140
          dw   offset s141, offset s142, offset s143, offset s144
          dw   offset s145, offset s146, offset s147, offset s148
          dw   offset s149, offset s150, offset s151, offset s152
          dw   offset s153, offset s154, offset s155, offset s156
          dw   offset s157, offset s158, offset s159, offset s160
          dw   offset s161, offset s162, offset s163, offset s164
          dw   offset s165, offset s166, offset s167, offset s168
          dw   offset s169, offset s170, offset s171, offset s172
          dw   offset s173, offset s174, offset s175, offset s176
          dw   offset s177, offset s178, offset s179

;--- the following symbols are needed to fill in the above table

s40       db   '@',27h,0                ; @'   <Alt "> in DDKEY
s51       db   '@,',0
s130      db   '@-',0
s52       db   '@.',0
s53       db   '@/',0
s129      db   '@0',0
s120      db   '@1',0
s121      db   '@2',0
s122      db   '@3',0
s123      db   '@4',0
s124      db   '@5',0
s125      db   '@6',0
s126      db   '@7',0
s127      db   '@8',0
s128      db   '@9',0
s39       db   '@;',0
s131      db   '@=',0
s30       db   '@A',0
s48       db   '@B',0
s46       db   '@C',0
s32       db   '@D',0
s18       db   '@E',0
s33       db   '@F',0
s34       db   '@G',0
s35       db   '@H',0
s23       db   '@I',0
s36       db   '@J',0
s37       db   '@K',0
s38       db   '@L',0
s50       db   '@M',0
s49       db   '@N',0
s24       db   '@O',0
s25       db   '@P',0
s16       db   '@Q',0
s19       db   '@R',0
s31       db   '@S',0
s20       db   '@T',0
s22       db   '@U',0
s47       db   '@V',0
s17       db   '@W',0
s45       db   '@X',0
s21       db   '@Y',0
s44       db   '@Z',0
s26       db   '@[',0
s43       db   '@\',0
s27       db   '@]',0
s41       db   '@`',0                   ; <Alt ~> in DDKEY
s3        db   '^@',0

;
;--- Scan codes for ASCII values 0 - 127
                                                  ;   ASCII
ScanTable db    0, 30, 48, 46, 32, 18, 33, 34     ;   0 -   7
          db   35, 23, 36, 37, 38, 50, 49, 24     ;   8 -  15
          db   25, 16, 19, 31, 20, 22, 47, 17     ;   9 -  23
          db   45, 21, 44, 26, 43, 27,  7, 12     ;  24 -  31
          db   57,  2, 40,  4,  5,  6,  8, 40     ;  32 -  39
          db   10, 11,  9, 13, 51, 12, 52, 53     ;  40 -  47
          db   11,  2,  3,  4,  5,  6,  7,  8     ;  48 -  55
          db    9, 10, 39, 39, 51, 13, 52, 53     ;  56 -  63
          db    3, 30, 48, 46, 32, 18, 33, 34     ;  64 -  71
          db   35, 23, 36, 37, 38, 50, 49, 24     ;  72 -  79
          db   25, 16, 19, 31, 20, 22, 47, 17     ;  80 -  87
          db   45, 21, 44, 26, 43, 27,  7, 12     ;  88 -  95
          db   41, 30, 48, 46, 32, 18, 33, 34     ;  96 - 103
          db   35, 23, 36, 37, 38, 50, 49, 24     ; 104 - 111
          db   25, 16, 19, 31, 20, 22, 47, 17     ; 112 - 119
          db   45, 21, 44, 26, 43, 27, 41, 14     ; 120 - 127

;
;--- Table of scan:ASCII codes for keys with duplicate ASCII values
;    like Tab (vs. ^I)

;              Esc,  BkSp, Tab, ^Enter,Enter,PrtSc
DupCodes  dw   011Bh,0E08h,0F09h,1C0Ah,1C0Dh,372Ah
;               n+    n-    n.     n/    n0    n1    n2    n3
          dw   4E2Bh,4A2Dh,532Eh,0E02Fh,5230h,4F31h,5032h,5133h
;               n4    n5    n6    n7    n8    n9   nEnter ^nEnter
          dw   4B34h,4C35h,4D36h,4737h,4838h,4939h,0E00Dh,0E00Ah

;--- Addresses of symbols for the above codes in reverse order

DupSymb   dw   offset CtlnEnter,offset nEnter,  offset n9,      offset n8
          dw   offset n7,       offset n6,      offset n5,      offset n4
          dw   offset n3,       offset n2,      offset n1,      offset n0
          dw   offset nslash,   offset nperiod, offset nminus,  offset nplus
          dw   offset PrtSc,    offset Enter,   offset CtlEnter,offset Tab
          dw   offset BkSp,     offset Esc

DUPNUMB   EQU       22

;
; --- Table of extended keyboard scan:ASCII codes

ExtCodes  dw   47E0h,48E0h,49E0h,4BE0h,4DE0h,4FE0h,50E0h,51E0h,52E0h,53E0h
          dw   73E0h,74E0h,75E0h,76E0h,77E0h,84E0h,8DE0h,91E0h,92E0h,93E0h

; Addresses of symbols for the above codes in reverse order

ExtSymb   dw   offset e147, offset e146, offset e145, offset e141, offset e132
          dw   offset e119, offset e118, offset e117, offset e116, offset e115
          dw   offset e83,  offset e82,  offset e81,  offset e80,  offset e79
          dw   offset e77,  offset e75,  offset e73,  offset e72,  offset e71

EXTNUMB   EQU  20

;
; This table is used to convert strings to upper case with the 'xlat' command.

XTable    LABEL     BYTE
     db     0,   1,   2,   3,   4,   5,   6,   7
     db     8,   9,  10,  11,  12,  13,  14,  15
     db    16,  17,  18,  19,  20,  21,  22,  23
     db    24,  25,  26,  27,  28,  29,  30,  31
     db    32,  33,  34,  35,  36,  37,  38,  39
     db    40,  41,  42,  43,  44,  45,  46,  47
     db    48,  49,  50,  51,  52,  53,  54,  55
     db    56,  57,  58,  59,  60,  61,  62,  63
     db    64,  65,  66,  67,  68,  69,  70,  71
     db    72,  73,  74,  75,  76,  77,  78,  79
     db    80,  81,  82,  83,  84,  85,  86,  87
     db    88,  89,  90,  91,  92,  93,  94,  95
     db    96,  65,  66,  67,  68,  69,  70,  71
     db    72,  73,  74,  75,  76,  77,  78,  79
     db    80,  81,  82,  83,  84,  85,  86,  87
     db    88,  89,  90, 123, 124, 125, 126, 127
     db   128, 129, 130, 131, 132, 133, 134, 135
     db   136, 137, 138, 139, 140, 141, 142, 143
     db   144, 145, 146, 147, 148, 149, 150, 151
     db   152, 153, 154, 155, 156, 157, 158, 159
     db   160, 161, 162, 163, 164, 165, 166, 167
     db   168, 169, 170, 171, 172, 173, 174, 175
     db   176, 177, 178, 179, 180, 181, 182, 183
     db   184, 185, 186, 187, 188, 189, 190, 191
     db   192, 193, 194, 195, 196, 197, 198, 199
     db   200, 201, 202, 203, 204, 205, 206, 207
     db   208, 209, 210, 211, 212, 213, 214, 215
     db   216, 217, 218, 219, 220, 221, 222, 223
     db   224, 225, 226, 227, 228, 229, 230, 231
     db   232, 233, 234, 235, 236, 237, 238, 239
     db   240, 241, 242, 243, 244, 245, 246, 247
     db   248, 249, 250, 251, 252, 253, 254, 255
          